#
# spec file for package ibus-hangul
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibus-hangul
Version:        1.5.0
Release:        lp150.1.7
Summary:        The Hangul engine for IBus input platform
License:        GPL-2.0+
Group:          System/I18n/Korean
Url:            https://github.com/choehwanjin/ibus-hangul
Source:         https://github.com/choehwanjin/ibus-hangul/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  ibus-devel
BuildRequires:  intltool
BuildRequires:  libhangul-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  python-devel
BuildRequires:  update-desktop-files
Provides:       locale(ibus:ko)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Hangul engine for IBus platform. It provides Korean input method from
libhangul.

%prep
%setup -q

%build
%configure --disable-static \
           --libexecdir=%{_ibus_libdir}
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%suse_update_desktop_file ibus-setup-hangul Utility DesktopUtility System
ln -sf %{_ibus_libdir}/ibus-setup-hangul %{buildroot}%{_bindir}/ibus-setup-hangul

%find_lang %{name}
%fdupes %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/ibus-setup-hangul
%{_ibus_libdir}/ibus-engine-hangul
%{_ibus_libdir}/ibus-setup-hangul
%{_ibus_componentdir}/hangul.xml
%{_datadir}/applications/ibus-setup-hangul.desktop
%{_datadir}/icons/hicolor/64x64/apps/ibus-*.png
%{_datadir}/icons/hicolor/scalable/apps/ibus-*.svg
%{_datadir}/%{name}

%changelog
* Thu Oct 23 2014 i@marguerite.su
- update version 1.5.0
  * Add latin input mode. so you can input latin characters without
    changing input method engine.
  * Allow hangul mode to be toggled
  * Python3 compatibility
* Sun Jan 27 2013 hillwood@linuxfans.org
- update to 1.4.2
  * Use Gobject Introspection
  * GNOME Control Center integration
  * Miscellaneous bug fixes
* Mon Oct  1 2012 schwab@linux-m68k.org
- Use %%{_lib} for the installation path
* Wed Jul 18 2012 dvaleev@suse.com
- Fix the installation path of setup program for ppc as well
* Sun Jun 10 2012 hillwood@linuxfans.org
- update to 1.4.1
  * Handle exceptions properly in ibus-setup-hangul
  https://github.com/choehwanjin/ibus-hangul/pull/5
  * Update icon files
  * Support ibus icon symbol feature
* Tue Mar 20 2012 hillwood@linuxfans.org
- update to 1.4.0
  * Require ibus 1.4
  * Add desktop menu for ibus-setup-hangul
  * Add an option for automatic reordering
  * Add an option for a word preedit text
  * Update MS IME compatible symbol table
  * Use surrounding text feature on converting to hanja
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Wed Oct 12 2011 tiwai@suse.de
- Fix build with ibus-1.4, the patch taken from Fedora (bnc#723591)
- Fix the installation path of setup program
* Fri Jul 22 2011 tiwai@suse.de
- Add locale-specific provides tag (bnc#707712)
* Tue Jun 14 2011 swyear@gmail.com
- Update to 1.3.1;
  including fixes for new ibus-1.3.x
* Wed Mar 24 2010 tiwai@suse.de
- fix file list
* Thu Jan 28 2010 mxwu@novell.com
- Initial import
